import { KoliBri } from '@public-ui/schema';
import { KOL_ICON } from './defaults/icon';

// Next Design System (Design System Deutschland)
export const NXT = KoliBri.createTheme('nxt', {
	GLOBAL:
		':host {--color-white: #ffffff;--color-black: #1b1b1b;--color-darkblue: #003064;--color-blue: #3a78b8;--color-gray: #99acc1;--color-lightgray: #e5eaef;--color-darkgray: #4c6e92;--color-red: #d4004b;--color-green: #1eae9c;--color-darkyellow: #c59a00;--color-fond-05: #f2f4f7;--color-base-default: var(--color-black);--color-base-light: var(--color-white);--color-headlines: var(--color-darkblue);--color-btn-primary: var(--color-white);--color-btn-secondary: var(--color-darkblue);--color-btn-disabled: var(--color-gray);--color-link-default: var(--color-darkblue);--color-link-hover: var(--color-blue);--color-link-dark: var(--color-darkblue);--color-link-light: var(--color-white);--color-misc-focus: var(--color-darkgray);--color-misc-error: var(--color-red);--color-misc-success: var(--color-green);--color-misc-notification: var(--color-darkblue);--color-misc-warning: var(--color-darkyellow);--font-family: "Noto Sans Regular";--font-size: 16px;--spacing: 0.25rem;}:host * {box-sizing: border-box;font-family: var(--font-family);}:host h1,:host h2,:host h3,:host h4,:host h5,:host h6 {margin: 0;}a,button,input,option,select,summary,textarea {-ms-hyphens: auto;-webkit-hyphens: auto;hyphens: auto;letter-spacing: inherit;word-break: break-word;}a:focus,button:focus,input:focus,select:focus,summary:focus,textarea:focus {cursor: pointer;outline-color: var(--color-misc-focus);outline-offset: 0;outline-style: dashed;outline-width: 2px;}button,label {cursor: pointer;}@keyframes spin {0% {transform: rotate(0deg);}100% {transform: rotate(360deg);}}',
	'KOL-BUTTON':
		'button {display: grid;font-size: 1rem;font-style: normal;gap: 0.25em;justify-content: center;transition: color 0.2s ease, background-color 0.2s ease,border-color 0.2s ease;}button {border-radius: 0.25rem;border-width: 0;font-weight: 700;padding: 0.5rem 1em;}button.primary {color: var(--color-white);background-color: var(--color-darkblue);}button.primary:hover {background-color: var(--color-blue);}button.primary:disabled {background-color: #e5eaef;color: var(--color-darkgray);}button.secondary {background-color: var(--color-gray);color: var(--color-darkblue);}button.secondary:hover {background-color: var(--color-lightgray);}button > span {display: flex;gap: 0.25em;align-items: center;justify-content: center;}button > span > span {padding: 0.5em 0;}button > span > kol-icon {padding: 0.125em 0;}button kol-icon {font-size: 1.5em;}button:active {outline: 0 !important;box-shadow: none !important;}kol-button-wc {width: inherit;}button.loading kol-icon {animation: spin 5s infinite linear;}',
	'KOL-BADGE':
		':host {display: inline-block;}span {align-items: center;border-radius: 0.3125rem;display: flex;line-height: 1.25rem;gap: 0.5rem;padding: 0.25rem 0.75rem;}',
	'KOL-ACCORDION':
		':host > div > div {background-color: var(--color-fond-05);margin-bottom: 2px;}:host > div > kol-heading-wc button {background-color: var(--color-fond-05);cursor: pointer;width: 100%;margin: 0;font-weight: normal;display: flex;gap: 0.5em;border: 0;align-items: center;padding: 1em;color: var(--color-mittelblau);}:host > div[part*="open"] > kol-heading-wc button {background-color: var(--color-darkblue);color: var(--color-white);}:host > div > kol-heading-wc button:hover {color: var(--color-white);}:host > div > kol-heading-wc button:hover {background-color: var(--color-blue);}:host > div > kol-heading-wc button kol-icon::part(icon) {font-weight: 900;color: var(--color-midnight);}:host > div > kol-heading-wc button kol-icon::part(close)::before {font-family: "Font Awesome 6 Free";content: "\\f077";}:host > div > kol-heading-wc button kol-icon::part(open)::before {font-family: "Font Awesome 6 Free";content: "\\f078";}:host > div {width: 100%;height: 100%;display: grid;}:host > div[part*="open"] div[part="content"] {padding: 1em;}:host > div[part*="open"] div[part="header"],:host > div[part*="open"] div[part="content"] {padding-left: 2.5em;}button {font-weight: inherit;font-size: inherit;line-height: inherit;}:host > div {background: var(--color-white);}:host > div[part*="open"] {padding-bottom: 1em;}:host > div > [part="header"] {height: 0;}',
	'KOL-HEADING':
		'h1,h2,h3,h4,h5,h6 {color: var(--color-headlines);font-feature-settings: "ss06" on;font-style: normal;}h1 {font-size: 36px;font-weight: 400;line-height: 36px;}h2 {font-size: 28px;font-weight: 700;line-height: 32px;}h3 {font-size: 24px;font-weight: 700;line-height: 30px;}h4 {font-size: 20px;font-weight: 700;line-height: 24px;}',
	'KOL-PAGINATION':
		':host > div {display: inline-flex;flex-wrap: wrap;align-items: center;gap: 0.5em;}:host .selected button {min-width: 44px;min-height: 44px;display: grid;line-height: 1.5rem;font-family: var(--font-family);cursor: not-allowed;font-weight: 700;padding: 10px 12px;border: none;font-size: 16px;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;color: #fff;background-color: var(--color-link-default);}:host .selected button {display: grid;font-size: 1rem;font-style: normal;gap: 0.25em;justify-content: center;transition: color 0.2s ease, background-color 0.2s ease,border-color 0.2s ease;}:host .selected button {border-radius: 0.25rem;border-width: 0;font-weight: 700;padding: 0.5rem 1em;text-decoration: underline;}',
	'KOL-ALERT':
		':host > div {background-color: var(--color-white);display: flex;font-size: 1.125rem;line-height: 1.625rem;width: 100%;}:host > div.msg.default .icon {color: var(--color-gray);}:host > div.msg.error .icon {color: var(--color-misc-error);}:host > div.msg.info .icon {color: var(--color-misc-notification);}:host > div.msg.success .icon {color: var(--color-misc-success);}:host > div.msg.warning .icon {color: var(--color-misc-warning);}:host .icon {align-items: center;display: inline-flex;}:host > div.msg .icon {padding: 0 0.25em;}:host > div.card .icon {padding: 0 0.5em 0 0;}:host > div > div > .heading {padding: 0 0.25rem;display: inline-block;font-weight: 700;}:host > div > div > .heading > .icon {margin-left: -0.25rem;margin-right: 0.25rem;}:host > div > div > div:last-child {padding: 0.25rem;}:host > div.msg.error > div > .heading {color: var(--color-rot);}:host > div.msg.info > div > .heading {color: var(--color-mittelblau);}:host > div.msg.success > div > .heading {color: var(--color-statusgruen);}:host > div.msg.warning > div > .heading {color: var(--color-blockorange);}:host > div.card {border-radius: 0.5rem;padding: 2rem;}:host > div.card.default {background-color: var(--color-fond-05);color: var(--color-black);}:host > div.card.error {background-color: var(--color-misc-error);color: var(--color-white);}:host > div.card.info {background-color: var(--color-misc-notification);color: var(--color-white);}:host > div.card.success {background-color: var(--color-misc-success);color: var(--color-white);}:host > div.card.warning {background-color: var(--color-misc-warning);color: var(--color-white);}:host > div.card > div,:host > div.card > div {width: 100%;}:host > div.card > div > .heading {width: 100%;}:host > div.card > div > .heading,:host > div.card > div > div:last-child {padding: 0.25em;}:host > div.card > div > div:last-child {margin-left: 1.5em;}:host > div kol-icon::part(icon)::before {font-family: "Font Awesome 6 Free" !important;width: 1em;display: inline-block;text-align: center;font-weight: 900;}:host > div.default kol-icon::part(icon)::before {content: "\\f075";}:host > div.error kol-icon::part(icon)::before {content: "\\f06a";}:host > div.info kol-icon::part(icon)::before {content: "\\f05a";}:host > div.success kol-icon::part(icon)::before {content: "\\f00c";}:host > div.warning kol-icon::part(icon)::before {content: "\\f075";}',
	'KOL-BUTTON-GROUP': 'div {display: flex;flex-wrap: wrap;gap: 0.25em;}',
	'KOL-INDENTED-TEXT': ':host > div {width: 100%;padding: 0.125em 0 0.125em 0.5em;background: #ffffff;box-shadow: -4px 0px 0px var(--color-blue);}',
	'KOL-SPIN':
		'.spin {display: inline-block;height: 1rem;position: relative;width: 3rem;}.spin span {animation-timing-function: cubic-bezier(0, 1, 1, 0);border: 0.1rem solid rgb(255, 255, 255);border-radius: 50%;height: 0.8rem;width: 0.8rem;top: 0.1rem;position: absolute;}.spin span:nth-child(1) {background-color: #fc0;z-index: 0;animation: 2s ease 0s infinite normal none running spin1;left: 0.1rem;}.spin span:nth-child(2) {background-color: #f00;z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 0.1rem;}.spin span:nth-child(3) {background-color: #000;z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 1.1rem;}.spin span:nth-child(4) {background-color: #666;z-index: 0;animation: 2s ease 0s infinite normal none running spin3;left: 2.1rem;}@keyframes spin1 {0% {transform: scale(0);}100% {transform: scale(1);}}@keyframes spin2 {0% {transform: translate(0px, 0px);}100% {transform: translate(1rem, 0px);}}@keyframes spin3 {0% {transform: scale(1);}100% {transform: scale(0);}}',
	'KOL-LINK':
		'a {color: var(--color-link-dark);font-style: normal;font-weight: 400;display: inline-flex;font-size: 1.125em;line-height: 1.625em;text-decoration-line: underline;}a:hover {color: var(--color-link-hover);text-decoration-thickness: 0.25em;}a:visited {color: var(--visited);}kol-icon {padding: 0 0.25em;display: inline-block;}.hidden {display: none;visibility: hidden;}:host a.skip {left: -99999px;overflow: hidden;position: absolute;z-index: 9999999;line-height: 1em;}:host a.skip:focus {background: white;left: unset;position: unset;}',
	'KOL-DETAILS':
		'details {display: grid;width: 100%;}summary {cursor: pointer;display: flow-root;margin: 0;padding: 0;}summary span {text-decoration: underline;}summary span:hover {text-decoration-thickness: 0.25em;}details > kol-indented-text {margin: 0.25em 0 0 0.6em;}',
	'KOL-LINK-GROUP':
		'nav {background-color: white;}ul {list-style: none;margin: 0px;padding: 0px;}nav.horizontal ul {display: flex;flex-wrap: wrap;}li {margin-left: 1.75rem;margin-right: 0.5rem;}li.list-none {list-style-type: none !important;margin-left: 0;}',
	'KOL-SELECT':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-TEXTAREA':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-TEXT':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-PASSWORD':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-NUMBER':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-EMAIL':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-FILE':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}kol-input.error input,kol-input.error select,kol-input.error textarea {border-color: var(--color-red);}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-COLOR':
		'kol-input {display: grid;}kol-input label {color: var(--default-letter);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-gray);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;margin-bottom: 0.4em;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--default-border);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--border-default);}.required label > span::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--kolibri-border-color);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;border-radius: 0.25em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-ocean);color: white;}',
	'KOL-INPUT-RANGE':
		'/* https://www.cssportal.com/style-input-range/ */kol-input {display: grid;}kol-input label {display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 1;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;border-color: var(--color-gray);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: calc(100% - 4em);}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-gray);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-gray);}.required #label::after {content: "*";padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.725em 0.875em;box-sizing: border-box;border-color: transparent;border-width: 2px;border-style: solid;}.icon-left input,.icon-left select {padding-left: calc(0.875em + 1em + 0.5em);}.icon-right input,.icon-right select {padding-right: calc(0.875em + 1em + 0.5em);}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);font-weight: 700;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-gray);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}.icon-left input,.icon-left select {margin-left: 2em;}.icon-right input,.icon-right select {margin-right: 2em;}input[type="range"] {appearance: none;-webkit-appearance: none;-moz-appearance: none;}input[type="range"] {overflow: visible;background-color: var(--color-gray);border: 0;height: 0.5rem;padding: 0;padding-bottom: 0;margin-bottom: 0;}input[type="range"]::-webkit-slider-thumb {box-sizing: border-box;background-color: var(--color-blue);height: 20px;width: 20px;border-radius: 20px;cursor: pointer;-webkit-appearance: none;}',
	'KOL-INPUT-RADIO':
		'/* INPUT */label {cursor: pointer;display: grid;font-size: 14px;line-height: 20px;gap: 8px;width: 100%;}input {cursor: pointer;width: 100%;border-color: var(--color-gray);border-width: 1px;border-style: solid;border-radius: 5px; /* padding: 10px 14px; */line-height: 24px;font-size: 16px;}kol-alert {display: block;width: 100%;margin-bottom: 0.4em;}.required label > span::after {content: "*";padding-left: 0.125em;} /* RADIO */:host fieldset {border: 0px;margin: 0px;padding: 0px;display: grid;gap: 0.25em;}:host fieldset div {cursor: pointer;display: flex;flex-direction: row;margin-top: 0.125em;margin-bottom: 0.125em;align-items: center;position: relative;}:host fieldset div label {cursor: pointer;display: flex;padding-left: 0.25em;width: 100%;}:host fieldset div label span {margin-top: 0.125em;}:host fieldset div input[type="radio"] {appearance: none;transition: 0.5s;border-radius: 100%;height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}:host fieldset div input[type="radio"]:before {content: "";cursor: pointer;left: calc(1.25 * var(--spacing) - 1px);top: calc(1.25 * var(--spacing) - 1px);position: relative;border-radius: 100%;display: block;height: calc(3.5 * var(--spacing));width: calc(3.5 * var(--spacing));}:host fieldset div input[type="radio"]:checked:before {background-color: var(--color-green);}:host fieldset div input[type="radio"]:disabled {cursor: not-allowed;border-color: var(--border-default);background-color: var(--background-light-grey);}:host fieldset #error {order: 4;}:host fieldset legend {order: 2;display: contents;}:host fieldset kol-input {order: 3;}:host fieldset.error {padding-left: 0.75em;border-left: 3px solid var(--color-red);}:host fieldset kol-alert#error {color: var(--color-red);}:host fieldset.error input:focus,:host fieldset.error select:focus,:host fieldset.error textarea:focus {outline-color: var(--color-red) !important;}:host fieldset.error kol-alert.error {margin-left: -0.25em;color: var(--color-red);}.disabled {opacity: 0.33;}',
	'KOL-INPUT-CHECKBOX':
		'kol-input {display: grid;align-items: center;justify-items: left;width: 100%;}kol-input.checkbox {grid-template-columns: 2rem auto;}kol-input.switch {grid-template-columns: 3rem auto;}kol-input > div.input {display: inline-flex;order: 2;}kol-input > div.input input {margin: 0px;}kol-input > label {cursor: pointer;order: 3;}kol-input > kol-alert.error {order: 4;padding-top: 0.25em;grid-column: span 2 / auto;}kol-input.error {border-left: 3px solid var(--color-red);padding-left: 0.75em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-red) !important;}kol-input.error kol-alert.error {color: var(--color-red);}input {cursor: pointer;order: 1;width: 100%;color: var(--color-black);border-color: var(--color-gray);border-width: 1px;border-style: solid;line-height: 24px;font-size: 1rem;}kol-alert {display: block;width: 100%;} /* CHECKBOX */kol-input label span {margin-top: 0.125rem;}.required label > span::after {content: "*";padding-left: 0.125em;}kol-input input[type="checkbox"] {appearance: none;background-color: white;cursor: pointer;transition: 0.5s;}kol-input input[type="checkbox"].kol-disabled:before {cursor: not-allowed;}kol-input input[type="checkbox"]:before {content: "";cursor: pointer;}kol-input input[type="checkbox"]:checked {background-color: var(--color-white);}kol-input.checkbox input[type="checkbox"] {height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:before {border-radius: 1.5em;background-color: transparent;display: block;height: calc(6 * var(--spacing));position: relative;width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:checked:before {border-right-width: 3px;border-bottom-width: 3px;left: calc(1.5 * var(--spacing) - 1px);top: calc(2.85 * var(--spacing) - 1px);transform: rotate(40deg) translate(-50%, -50%);background-color: transparent;border-width: 0px 3px 3px 0px;border-color: var(--color-green);border-radius: 1px;border-style: solid;height: calc(3 * var(--spacing));width: calc(1.5 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;background-color: white;}kol-input.checkbox input[type="checkbox"]:indeterminate:before {background-color: var(--color-grey);height: 0.375rem;top: 0.45rem;left: 0.15rem;width: calc(4 * var(--spacing));}kol-input.switch input[type="checkbox"] {min-width: 2.5em;width: 2.5em;border-width: 1px;height: 1.5em;border-radius: 1.25em;display: inline-block;position: relative;}kol-input.switch input[type="checkbox"]:before {-webkit-transition: 0.5s;-moz-transition: 0.5s;-ms-transition: 0.5s;transition: 0.5;width: 1em;height: 1em;left: calc(0.25em - 1px);top: calc(0.25em - 1px);border-radius: 1.25em;background-color: var(--color-gray);position: absolute;}kol-input.switch input[type="checkbox"]:checked:before {background-color: var(--color-green);-webkit-transform: translateX(1em);-moz-transform: translateX(1em);-ms-transform: translateX(1em);transform: translateX(1em);--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate:before {-webkit-transform: translateX(1em);-moz-transform: translateX(1em);-ms-transform: translateX(1em);transform: translateX(1em);}.disabled {opacity: 0.33;}',
	'KOL-TABLE':
		':host > div {overflow-x: scroll;overflow-y: hidden;}caption {padding: 0.5em;}th {font-weight: normal;color: var(--color-blue);}:host table thead tr:first-child th,:host table thead tr:first-child td {border-width: 0;border-top-width: 2px;border-style: solid;border-color: var(--color-gray);}table {width: 100%;border-spacing: 0;}table,:host table thead tr:last-child th,:host table thead tr:last-child td {border-width: 0;border-bottom-width: 2px;border-style: solid;border-color: var(--color-gray);}th {background-color: var(--color-white);}th div {width: 100%;display: flex;gap: 0.5em;grid-template-columns: 1fr auto;align-items: center;}tr:nth-child(even) {background-color: #f2f2f2;}th,td {padding: 0.5em;}th[aria-sort="ascending"],th[aria-sort="descending"] {font-weight: 700;}:host > div:last-child {padding: 0.5em;}:host > div:last-child,:host > div:last-child > div:last-child {display: grid;align-items: center;justify-items: center;gap: 1em;}@media (min-width: 1024px) {:host > div:last-child,:host > div:last-child > div:last-child {grid-auto-flow: column;}}',
	'KOL-TABS':
		'kol-button-group > div {border: 1px solid var(--color-gray);border-bottom: 0;}kol-button-group > div button {background-color: transparent;border: 0;border-bottom: 1px solid transparent;padding: 1em;font-weight: 700;font-size: 1rem;line-height: 22px;text-transform: uppercase;color: var(--color-blue);}kol-button-group > div button.primary,kol-button-group > div button.selected {color: var(--color-red);border-bottom-color: var(--color-white);}div[role="tabpanel"] {float: left;padding: 1rem;margin-top: -1px;border-top: 1px solid var(--color-gray);height: 100%;width: 100%;}div.grid {height: 100%;}.close-button {display: none;visibility: hidden;}',
	'KOL-BREADCRUMB':
		'nav {width: 100%;}ul {margin: 0;padding: 0;list-style: none;display: flex;flex-wrap: wrap;align-items: center;}kol-link {display: inline;}span {color: var(--color-grey);}:host kol-icon[exportparts*="separator"] {padding: 0 0.5rem;}:host kol-icon::part(icon separator) {color: var(--color-grey);font-weight: 900;font-size: 0.875rem;}:host kol-icon::part(icon separator)::before {content: "\\f061";font-family: "Font Awesome 6 Free";}',
	'KOL-CARD':
		'/* https://www.figma.com/file/56JbmrssCRpjpfxoAFeHqT/Design-System-EPLF-(in-progress)?node-id=8225%3A5945 */:host > div {display: grid;width: 100%;height: 100%;background-color: white;grid-template-rows: min-content 2fr min-content;box-shadow: 0 0 0.125rem var(--color-gray);border: 1px solid var(--color-gray);}:host kol-heading-wc {display: inline-flex;font-style: normal;font-weight: 700;font-size: 1.25rem;line-height: 1.75rem;}:host div.header {padding: 1rem 1rem 0.5rem 1rem;}:host div.content {padding: 0.5rem 0 1rem 0;}:host div.footer {padding: 0.5rem 1rem;}:host > div > div.content + div.footer {border-top: 2px solid var(--color-darkblue);}',
	'KOL-NAV':
		'* {margin: 0;padding: 0;}nav {font-family: var(--font-family);font-size: var(--font-size);background-color: var(--color-white);}ul {list-style: none;}a {background-color: var(--color-white);text-decoration: none;color: var(--color-dunkelblau);width: 100%;display: block;font-style: normal;font-weight: bold;padding: 0.75rem 0.5rem;border-left-color: var(--color-white);border-left-style: solid;border-left-width: 0.5rem;line-height: 1.5rem;min-height: 44px;min-width: 44px;transition-duration: 0.5s;transition-property: background-color, color, border-color;}a:hover {background-color: var(--color-darkblue);border-color: var(--color-red);color: var(--color-white);}a > kol-icon {width: 44px;display: inline-block;text-align: center;}a[part*="selected"] {background-color: var(--color-blue);border-left-color: var(--color-darkblue);color: var(--color-white);}.hidden {display: none;}:host > div > div:last-child {margin-top: 0.5em;width: 100%;text-align: center;} /* horizontal */ul.flex {display: flex;}li > div > div.absolute {position: absolute;}',
	'KOL-ICON': KOL_ICON,
});
